创建聊天补全 (非流)
POST/v1/chat/completions 创建聊天补全(非流式)
POST https://www.vortapapi.com/v1/chat/completions
根据输入的对话消息生成模型回复。该接口兼容 OpenAI Chat Completions 格式,适用于一次性返回完整结果的非流式调用。
接口说明
向模型提交一组对话消息及相关生成参数,Vortap 将返回一个或多个候选回复。响应中通常包含生成内容、结束原因以及本次请求的 token 使用量统计。
请求头
| 名称 | 必填 | 说明 |
|---|---|---|
Content-Type | 是 | 请求体格式,通常为 application/json |
Accept | 是 | 期望的响应格式,通常为 application/json |
Authorization | 否 | API 鉴权信息,格式为 Bearer sk-*** |
请求示例
curl https://www.vortapapi.com/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Authorization: Bearer sk-***" \
-d '{
"model": "gpt-4o-mini",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}'
响应示例
{
"id": "chatcmpl-123",
"object": "chat.completion",
"created": 1677652288,
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "\n\nHello there, how may I assist you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 9,
"completion_tokens": 12,
"total_tokens": 21
}
}
响应字段说明
| 字段 | 类型 | 说明 |
|---|---|---|
id | string | 本次聊天补全结果的唯一标识 |
object | string | 对象类型,非流式聊天补全通常为 chat.completion |
created | integer | 结果创建时间,Unix 时间戳,单位为秒 |
choices | array | 模型生成的候选回复列表 |
choices[].index | integer | 当前候选回复在列表中的序号 |
choices[].message | object | 生成的消息内容 |
choices[].message.role | string | 消息角色,通常为 assistant |
choices[].message.content | string | 模型生成的文本内容 |
choices[].finish_reason | string | 生成结束原因,例如 stop |
usage | object | token 使用情况统计 |
usage.prompt_tokens | integer | 输入消息消耗的 token 数 |
usage.completion_tokens | integer | 输出内容消耗的 token 数 |
usage.total_tokens | integer | 输入与输出合计消耗的 token 数 |